# Workflow

- [Workflow Introduction](https://docs.decisionrules.io/doc/v1/workflow/workflow-introduction.md): This section introduces the DecisionRules Workflow feature and gives a high-level overview of its possible applications.
- [Workflow Designer](https://docs.decisionrules.io/doc/v1/workflow/workflow-designer.md): Discover how to access Workflow, add nodes and how to set the decisioning flow correctly. This page contains a simple example as well.
- [Workflow Nodes Overview](https://docs.decisionrules.io/doc/v1/workflow/workflow-nodes-overview.md): This page lists all the node types currently available in the workflow, along with a brief description of their functionality.
- [Workflow Limits](https://docs.decisionrules.io/doc/v1/workflow/workflow-limits.md): Here we briefly describe the limits connected to workflow and how you can manage them.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.decisionrules.io/doc/v1/workflow.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
